LibreOffice: XActivationBroadcaster Interface Reference

LibreOffice LibreOffice 7.6 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XActivationBroadcaster Interface Referencepublished

provides methods to add and remove XActivationEventListener More...

`import <XActivationBroadcaster.idl;`

Inheritance diagram for XActivationBroadcaster:

## Public Member Functions
void | addActivationEventListener ([in] com::sun::star::sheet::XActivationEventListener aListener)
| allows a component supporting the XActivationEventListener interface to register as listener.
void | removeActivationEventListener ([in] com::sun::star::sheet::XActivationEventListener aListener)
| removes a previously registered listener.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

provides methods to add and remove XActivationEventListener

Since
  OOo 2.0

## Member Function Documentation

## ◆ addActivationEventListener()

void addActivationEventListener | ( | [in] com::sun::star::sheet::XActivationEventListener | aListener | ) |

allows a component supporting the XActivationEventListener interface to register as listener.

The component will be notified with a ActivationEvent every time the active sheet changes.

Parameters

  aListener | the component that is to be added as listener

See also
  XActivationEventListener
  ActivationEvent

## ◆ removeActivationEventListener()

void removeActivationEventListener | ( | [in] com::sun::star::sheet::XActivationEventListener | aListener | ) |

removes a previously registered listener.

Parameters

  aListener | the component that is to be removed

The documentation for this interface was generated from the following file:

- com/sun/star/sheet/XActivationBroadcaster.idl